=== debian/changelog ===
ros-foxy-mppic (0.2.1-2focal) focal; urgency=high

  * add functional tests
  * dev tools upgrade
  * fix control sequence propagation

 -- Aleksei Budyakov <budyakov.aleksei@gmail.com>  Mon, 04 Oct 2021 21:00:00 -0000

ros-foxy-mppic (0.2.0-2focal) focal; urgency=high

  * cost improvments
  * add documentation

 -- Aleksei Budyakov <budyakov.aleksei@gmail.com>  Fri, 01 Oct 2021 21:00:00 -0000

ros-foxy-mppic (0.1.0-2focal) focal; urgency=high

  * first release

 -- Aleksei Budyakov <budyakov.aleksei@gmail.com>  Sun, 29 Aug 2021 21:00:00 -0000
