=== debian/control ===
Source: ros-foxy-mppic
Section: misc
Priority: optional
Maintainer: Aleksei Budyakov <budyakov.aleksei@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-geometry-msgs, ros-foxy-nav2-common, ros-foxy-nav2-core, ros-foxy-nav2-costmap-2d, ros-foxy-nav2-msgs, ros-foxy-nav2-util, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-tf2, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-mppic
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geometry-msgs, ros-foxy-nav2-bringup, ros-foxy-nav2-common, ros-foxy-nav2-core, ros-foxy-nav2-costmap-2d, ros-foxy-nav2-msgs, ros-foxy-nav2-util, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-tf2, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Description: mppic
